function init(hero) {
    hero.setName("Allen the Alien");
	hero.setVersion("Serie");
    hero.setTier(7);
	
    hero.setHelmet("Head");
    hero.setChestplate("Jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("vhp:unopian_physiology");
    hero.addAttribute("MAX_HEALTH", 4.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.30, 1);
    hero.addAttribute("KNOCKBACK", 1.0, 0);
	hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("IMPACT_DAMAGE", 0.25, 1);

	hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
	hero.addKeyBind("EARTHQUAKE", "key.earthquake", 3);
	hero.addKeyBind("HOVER", "key.hover", 5);

    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}